Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
electron-2.0.10::atom build fails on node TimeZone
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
ExecutorElassus
Veteran
Veteran


Joined: 11 Mar 2004
Posts: 1078
Location: Stuttgart, Germany

PostPosted: Mon Oct 01, 2018 2:01 pm    Post subject: electron-2.0.10::atom build fails on node TimeZone Reply with quote

I'm trying to install dev-util/electron-2.0.10 from the atom overlay. It fails out, and the build.log only has this one section with an error statement:

Code:
In file included from ../../vendor/node/src/node.h:63,
                 from ../../vendor/node/src/node_internals.h:27,
                 from ../../vendor/node/src/node_i18n.h:27,
                 from ../../vendor/node/src/node_i18n.cc:43:
../../chromium/v8/include/v8.h: In static member function ‘static void v8::V8::SetAllowCodeGenerationFromStringsCallback(v8:$
../../chromium/v8/include/v8.h:10176:19: warning: cast between incompatible function types from ‘v8::DeprecatedAllowCodeGene$
           callback));
                   ^
../../chromium/v8/include/v8.h: In static member function ‘static void v8::V8::RemoveGCPrologueCallback(v8::GCCallback)’:
../../chromium/v8/include/v8.h:10221:53: warning: cast between incompatible function types from ‘v8::GCCallback’ {aka ‘void $
       reinterpret_cast<Isolate::GCCallback>(callback));
                                                     ^
../../chromium/v8/include/v8.h: In static member function ‘static void v8::V8::RemoveGCEpilogueCallback(v8::GCCallback)’:
../../chromium/v8/include/v8.h:10228:53: warning: cast between incompatible function types from ‘v8::GCCallback’ {aka ‘void $
       reinterpret_cast<Isolate::GCCallback>(callback));
                                                     ^
../../vendor/node/src/node_i18n.cc: In function ‘const char* node::i18n::{anonymous}::GetVersion(const char*, char*, UErrorC$
../../vendor/node/src/node_i18n.cc:526:12: error: ‘TimeZone’ has not been declared
     return TimeZone::getTZDataVersion(*status);
            ^~~~~~~~
In file included from ../../vendor/node/src/node.h:63,
                 from ../../vendor/node/src/node_internals.h:27,
                 from ../../vendor/node/src/node_i18n.h:27,
                 from ../../vendor/node/src/node_i18n.cc:43:
../../chromium/v8/include/v8.h: In instantiation of ‘void v8::PersistentBase<T>::SetWeak(P*, typename v8::WeakCallbackInfo<P$
../../vendor/node/src/base-object-inl.h:81:3:   required from ‘void node::BaseObject::MakeWeak(Type*) [with Type = node::i18$
../../vendor/node/src/node_i18n.cc:261:35:   required from here
../../chromium/v8/include/v8.h:9199:16: warning: cast between incompatible function types from ‘v8::WeakCallbackInfo<node::i$
                  reinterpret_cast<Callback>(callback), type);
                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../vendor/node/src/node_i18n.cc: In function ‘int node::i18n::GetColumnWidth(UChar32, bool)’:
../../vendor/node/src/node_i18n.cc:788:7: warning: this statement may fall through [-Wimplicit-fallthrough=]
       if (ambiguous_as_full_width) {
       ^~
../../vendor/node/src/node_i18n.cc:792:5: note: here
     case U_EA_NEUTRAL:
     ^~~~
[65/97] x86_64-pc-linux-gnu-g++ -MMD -MF obj/vendor/node/src/node.pipe_wrap.o.d '-DNODE_ARCH="x64"' '-DNODE_PLATFORM="linux"$
In file included from ../../vendor/node/src/base-object.h:27,
                 from ../../vendor/node/src/async-wrap.h:27,
                 from ../../vendor/node/src/pipe_wrap.h:27,
                 from ../../vendor/node/src/pipe_wrap.cc:22:
../../chromium/v8/include/v8.h: In static member function ‘static void v8::V8::SetAllowCodeGenerationFromStringsCallback(v8:$
../../chromium/v8/include/v8.h:10176:19: warning: cast between incompatible function types from ‘v8::DeprecatedAllowCodeGene$
           callback));
                   ^
../../chromium/v8/include/v8.h: In static member function ‘static void v8::V8::RemoveGCPrologueCallback(v8::GCCallback)’:
../../chromium/v8/include/v8.h:10221:53: warning: cast between incompatible function types from ‘v8::GCCallback’ {aka ‘void $
       reinterpret_cast<Isolate::GCCallback>(callback));
                                                     ^
../../chromium/v8/include/v8.h: In static member function ‘static void v8::V8::RemoveGCEpilogueCallback(v8::GCCallback)’:
../../chromium/v8/include/v8.h:10228:53: warning: cast between incompatible function types from ‘v8::GCCallback’ {aka ‘void $
       reinterpret_cast<Isolate::GCCallback>(callback));


Any suggestions what might have gone wrong here? Do I need to post a full build log?

Cheers,

EE
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20117
Location: here

PostPosted: Mon Oct 01, 2018 2:21 pm    Post subject: Reply with quote

What version of icu you installed?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
John R. Graham
Administrator
Administrator


Joined: 08 Mar 2005
Posts: 10155
Location: Somewhere over Atlanta, Georgia

PostPosted: Mon Oct 01, 2018 2:24 pm    Post subject: Reply with quote

Moved from Portage & Programming to Unsupported Software. Package is in an overlay so the support request fits better here.

- John
_________________
I can confirm that I have received between 0 and 499 National Security Letters.
Back to top
View user's profile Send private message
ExecutorElassus
Veteran
Veteran


Joined: 11 Mar 2004
Posts: 1078
Location: Stuttgart, Germany

PostPosted: Mon Oct 01, 2018 4:42 pm    Post subject: Reply with quote

fedeliallalinea wrote:
What version of icu you installed?


icu is -62.1, recently installed (which forced a re-install of electron). electron-1.7.15 also failed to build, but with a different error.

Cheers,

EE
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20117
Location: here

PostPosted: Mon Oct 01, 2018 5:22 pm    Post subject: Reply with quote

ExecutorElassus wrote:
electron-1.7.15 also failed to build, but with a different error.

Probably this problem
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
ExecutorElassus
Veteran
Veteran


Joined: 11 Mar 2004
Posts: 1078
Location: Stuttgart, Germany

PostPosted: Mon Oct 01, 2018 5:42 pm    Post subject: Reply with quote

I am, indeed, using gcc-8.2.0-r3. Would that also affect the 2.0.10 version? and since a patch appears to have been applied in git that fixes it, where do I apply that patch on my side?

Cheers,

EE
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 20117
Location: here

PostPosted: Mon Oct 01, 2018 5:47 pm    Post subject: Reply with quote

ExecutorElassus wrote:
I am, indeed, using gcc-8.2.0-r3. Would that also affect the 2.0.10 version? and since a patch appears to have been applied in git that fixes it, where do I apply that patch on my side?

I don't think it's a different error
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum